cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Hochsteger <e9625...@student.tuwien.ac.at>
Subject Re: Problem: Building Cocoon with ant under Eclipse 3.0M7
Date Sun, 29 Feb 2004 21:34:01 GMT

Antoine Lévy-Lambert wrote:

> Andreas Hochsteger wrote:
> 
>> Hi,
>>
>> I've got some problems building Cocoon with ant under Eclipse 3.0M7 
>> under Windows XP using Java 1.4.2_03.
>>
>> Here's what I got:
>> patch-roles:
>> BUILD FAILED: java.lang.IllegalArgumentException: No attributes are 
>> implemented
>>
>> All targets run fine until "patch-roles".
>>
>> Any ideas?
>>
>> Thanks,
>>
>> Andreas
>>
>>
> Can  you show a snippet of the build file ?

It's the Cocoon 2.1 build.xml, CVS from some hours ago.

> Can you try it outside of eclipse, with a local install of ant 1.6.1 for 
> instance ?

It works on the command line but not from within Eclipse 3.0M7, which 
uses the built-in ant 1.6.0.
May the ant version be the problem?

> And in this case, if it is still failing, you can show the output of ant 
> -verbose.

See attachment (sorry for the large output, but I already tried to call 
only the target which reproduces the problem).

> Antoine

Thanks,

Andreas


Mime
View raw message